package com.redhat.thermostat.tools.eclipse.plugin.editor;

import org.eclipse.core.databinding.Binding;
import org.eclipse.core.databinding.DataBindingContext;
import org.eclipse.core.databinding.observable.IChangeListener;
import org.eclipse.core.databinding.observable.list.IObservableList;

public class DataBindingChangeSupport {

    public static void addChangeListener(DataBindingContext bindingContext, IChangeListener listener) {

        IObservableList providers = bindingContext.getValidationStatusProviders();
        for (Object o : providers) {
            Binding b = (Binding) o;
            b.getTarget().addChangeListener(listener);
        }
    }

    public static void removeChangeListener(DataBindingContext bindingContext, IChangeListener listener) {
        IObservableList providers = bindingContext.getValidationStatusProviders();
        for (Object o : providers) {
            Binding b = (Binding) o;
            b.getTarget().removeChangeListener(listener);
        }
    }

}
